aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/lock-screen15
-rwxr-xr-xinstall.sh1
-rw-r--r--sxhkdrc2
3 files changed, 16 insertions, 2 deletions
diff --git a/bin/lock-screen b/bin/lock-screen
new file mode 100755
index 0000000..273b016
--- /dev/null
+++ b/bin/lock-screen
@@ -0,0 +1,15 @@
+#! /bin/bash
+
+main() {
+ tty-clock -r -D -B -s -S
+ su $USER sh -c '' && bspc wm -r || main
+}
+
+trap "" 1 2 3 15 20 SIGTSTP
+
+killall -qw sxhkd polybar
+bspc node -t fullscreen
+
+sleep 1
+
+main
diff --git a/install.sh b/install.sh
index 98e980f..dfdb684 100755
--- a/install.sh
+++ b/install.sh
@@ -30,7 +30,6 @@ if command_exists apt; then
rofi \
polybar \
scrot \
- i3lock-fancy \
feh \
picom \
dunst \
diff --git a/sxhkdrc b/sxhkdrc
index dd76eec..f374549 100644
--- a/sxhkdrc
+++ b/sxhkdrc
@@ -48,7 +48,7 @@ XF86MonBrightnessUp
# lock screen
super + l
- i3lock-fancy
+ ~/.local/kitty.app/bin/kitty -- ~/bin/lock-screen
# power off/reboot/hibernate
super + alt + {s,a,y}